[CentOS] Error updating 4.3 to 4.4: dbus 0.22-12.EL.5

iagosineiro at yahoo.es iagosineiro at yahoo.es
Mon Sep 4 15:30:19 UTC 2006


When I trying to update 4.3 to 4.4 it fails updating dbus-glib because it
couldn't remove dbus 0.22.12.EL.5 

 

 [root at prototipo ~]# yum update

Setting up Update Process

Setting up repositories

update                    100% |=========================|  951 B    00:00


base                      100% |=========================| 1.1 kB    00:00


addons                    100% |=========================|  951 B    00:00


extras                    100% |=========================| 1.1 kB    00:00


Reading repository metadata in from local files

Resolving Dependencies

--> Populating transaction set with selected packages. Please wait.

---> Package strace.i386 0:4.5.14-0.EL4.1 set to be updated

....

....

--> Running transaction check

--> Processing Dependency: dbus = 0.22-12.EL.5 for package: dbus-glib

--> Processing Dependency: kernel-ib for package: libibverbs

--> Processing Dependency: kernel-ib for package: dapl

--> Processing Dependency: librdmacm.so for package: dapl

--> Processing Dependency: kernel-ib for package: libsdp

--> Processing Dependency: kernel-ib for package: libmthca

--> Processing Dependency: libgssapi.so.1 for package: nfs-utils

--> Processing Dependency: nfs-utils-lib for package: nfs-utils

--> Processing Dependency: librdmacm.so(RDMACM_1.0) for package: dapl

--> Processing Dependency: librpcsecgss.so.1 for package: nfs-utils

--> Processing Dependency: libnfsidmap.so.0 for package: nfs-utils

--> Restarting Dependency Resolution with new changes.

--> Populating transaction set with selected packages. Please wait.

---> Package kernel-ib.i386 0:1.0-1 set to be updated

---> Package librdmacm.i386 0:0.9.0-1 set to be updated

---> Package libgssapi.i386 0:0.8-1 set to be updated

---> Package nfs-utils-lib.i386 0:1.0.6-3 set to be updated

--> Running transaction check

--> Processing Dependency: dbus = 0.22-12.EL.5 for package: dbus-glib

--> Finished Dependency Resolution

Error: Missing Dependency: dbus = 0.22-12.EL.5 is needed by package
dbus-glib

 

Also I executed two more commands for information

 

[root at prototipo ~]# yum list dbus-glib

Setting up repositories

Reading repository metadata in from local files

Installed Packages

dbus-glib.i386                           0.22-12.EL.5           installed


dbus-glib.i386                           0.22-12.EL.7           installed


 

[root at prototipo ~]# yum list dbus

Setting up repositories

Reading repository metadata in from local files

Installed Packages

dbus.i386                                0.22-12.EL.5           installed


Available Packages

dbus.i386                                0.22-12.EL.7           base


 

How could I resolve the problem?

 

 

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.centos.org/pipermail/centos/attachments/20060904/8d7c03f8/attachment.htm


More information about the CentOS mailing list